package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Spec;

/**
 * 规格Mapper接口
 * 
 * @author ruoyi
 * @date 2022-04-28
 */
public interface SpecMapper 
{
    /**
     * 查询规格
     * 
     * @param id 规格主键
     * @return 规格
     */
    public Spec selectSpecById(String id);

    /**
     * 查询规格列表
     * 
     * @param spec 规格
     * @return 规格集合
     */
    public List<Spec> selectSpecList(Spec spec);

    /**
     * 新增规格
     * 
     * @param spec 规格
     * @return 结果
     */
    public int insertSpec(Spec spec);

    /**
     * 修改规格
     * 
     * @param spec 规格
     * @return 结果
     */
    public int updateSpec(Spec spec);

    /**
     * 删除规格
     * 
     * @param id 规格主键
     * @return 结果
     */
    public int deleteSpecById(String id);

    /**
     * 批量删除规格
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSpecByIds(String[] ids);
}
